import request from '@/utils/request'

// 查询数据预处理结果列表
export function listPreHandleResult(query) {
  return request({
    url: '/manage/preHandleResult/list',
    method: 'get',
    params: query
  })
}

// 查询数据预处理结果详细
export function getPreHandleResult(id) {
  return request({
    url: '/manage/preHandleResult/' + id,
    method: 'get'
  })
}

// 新增数据预处理结果
export function addPreHandleResult(data) {
  return request({
    url: '/manage/preHandleResult',
    method: 'post',
    data: data
  })
}

// 修改数据预处理结果
export function updatePreHandleResult(data) {
  return request({
    url: '/manage/preHandleResult',
    method: 'put',
    data: data
  })
}

// 删除数据预处理结果
export function delPreHandleResult(id) {
  return request({
    url: '/manage/preHandleResult/' + id,
    method: 'delete'
  })
}
